See Stacksync in action with a solution architect. Book a demo ↗
SyncsTriggers

Sync triggers

Delete a sync trigger

DELETE
/v1/workspaces/{workspace_id}/bases/{base_id}/triggers/{trigger_id}

Remove a trigger from a sync, with its stored action.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace the resources belong to

base_id*string

The sync (a sync is called a base in these paths)

Formatuuid
trigger_id*string

The trigger to delete

Query Parameters

region*string

Data region of the sync

Value in"besg""usnv"

Response Body

The trigger deleted

application/json
  1. response

What was done

msg*string

What was done

Delete a sync trigger
curl -X DELETE 'https://api.stacksync.com/v1/workspaces/0/bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/triggers/string?region=besg'
{  "msg": "Trigger deleted successfully"}